# FrameChanger

FrameChanger is a desktop application that lets you update your wallpaper with images from your favorite movies and TV shows. It's designed to provide a refreshing and personalized desktop experience, allowing you to enjoy a touch of cinema every time you look at your screen.

## Features

- **Personalized Collection:** Add your favorite movies and TV shows to customize your desktop background.
- **Random Wallpaper Function:** Get a new backdrop from your favorites randomly.
- **Auto Wallpaper Changer:** Set intervals for automatic wallpaper changes.
- **High-Quality Images:** Wallpapers are sourced from TMDB in high resolution.
- **Customizable Themes:** Choose from four unique themes to change the app's look.
- **Fetch Wallpapers from TMDB:** Easily access wallpapers from The Movie Database.

## Installation

To use FrameChanger, just download the latest release and run `FrameChanger.exe`.

Or, you can install FrameChanger using pip:

pip install framechanger

## Usage

Start by adding movies and TV shows to your Favorites list in the app. You can customize the wallpaper change intervals or enable the random wallpaper function in settings. Enjoy a new and vibrant desktop background that reflects your taste in movies and TV shows.

To run FrameChanger from the command line:

framechanger

**Note:** Closing the FrameChanger window will minimize it to the taskbar. To fully exit, right-click the FrameChanger icon in the taskbar and select 'Exit'.

## First Time Users

When you first use FrameChanger, it will show a welcome message with details on how to use the app. You'll learn how to add titles to your Favorites list, use the random wallpaper feature, and set up the auto wallpaper changer.

## Feedback and Suggestions

This is my first software/app I've coded. Your feedback and suggestions are important to me. Feel free to reach out with your thoughts and ideas to improve FrameChanger.

## License

This project is licensed under the MIT License - see the LICENSE file for details.

## Contact

For any queries, feedback, or support, please contact me at akash.seam@gmail.com
